hpp-corbaserver: Robot Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Robot Class Reference

`#include <hpp/corbaserver/robot-idl.hh>`

Inheritance diagram for Robot:
[legend]
Collaboration diagram for Robot:
[legend]

## Public Types
typedef Robot_ptr | _ptr_type
typedef Robot_var | _var_type

## Public Member Functions
virtual | ~Robot ()
inline ::hpp::corbaserver::Robot_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef Robot_ptr Robot::_ptr_type

## ◆ _var_type

typedef Robot_var Robot::_var_type

## Constructor & Destructor Documentation

## ◆ ~Robot()

virtual Robot::~Robot | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type Robot::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type Robot::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

_CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE OBV_hpp _CORBA_MODULE_BEG _CORBA_MODULE corbaserver _CORBA_MODULE_BEG _CORBA_MODULE_END _CORBA_MODULE_END void Robot::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type Robot::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type Robot::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::corbaserver::Robot_ptr Robot::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type Robot::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type Robot::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* Robot::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/robot-idl.hh